<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-booking-heading">Create or edit a Booking</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_bookingtime">Bookingtime</label>
                    <div class="d-flex">
                        <input id="field_bookingtime" type="datetime-local" class="form-control" name="bookingtime" formControlName="bookingtime" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                    <div *ngIf="editForm.get('bookingtime')!.invalid && (editForm.get('bookingtime')!.dirty || editForm.get('bookingtime')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('bookingtime')?.errors?.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('bookingtime')?.errors?.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_bookingStarttime">Booking Starttime</label>
                    <div class="d-flex">
                        <input id="field_bookingStarttime" type="datetime-local" class="form-control" name="bookingStarttime" formControlName="bookingStarttime" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                    <div *ngIf="editForm.get('bookingStarttime')!.invalid && (editForm.get('bookingStarttime')!.dirty || editForm.get('bookingStarttime')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('bookingStarttime')?.errors?.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('bookingStarttime')?.errors?.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_bookingEndtime">Booking Endtime</label>
                    <div class="d-flex">
                        <input id="field_bookingEndtime" type="datetime-local" class="form-control" name="bookingEndtime" formControlName="bookingEndtime" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                    <div *ngIf="editForm.get('bookingEndtime')!.invalid && (editForm.get('bookingEndtime')!.dirty || editForm.get('bookingEndtime')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('bookingEndtime')?.errors?.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('bookingEndtime')?.errors?.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_pickupPoint">Pickup Point</label>
                    <input type="text" class="form-control" name="pickupPoint" id="field_pickupPoint"
                           formControlName="pickupPoint"/>
                    <div *ngIf="editForm.get('pickupPoint')!.invalid && (editForm.get('pickupPoint')!.dirty || editForm.get('pickupPoint')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('pickupPoint')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_dropPoint">Drop Point</label>
                    <input type="text" class="form-control" name="dropPoint" id="field_dropPoint"
                           formControlName="dropPoint"/>
                    <div *ngIf="editForm.get('dropPoint')!.invalid && (editForm.get('dropPoint')!.dirty || editForm.get('dropPoint')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('dropPoint')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_license">License</label>
                    <div>
                        <img [src]="'data:' + editForm.get('licenseContentType')!.value + ';base64,' + editForm.get('license')!.value" style="max-height: 100px;" *ngIf="editForm.get('license')!.value" alt="booking image"/>
                        <div *ngIf="editForm.get('license')!.value" class="form-text text-danger clearfix">
                            <span class="pull-left">{{ editForm.get('licenseContentType')!.value }}, {{ byteSize(editForm.get('license')!.value) }}</span>
                            <button type="button" (click)="clearInputImage('license', 'licenseContentType', 'file_license')" class="btn btn-secondary btn-xs pull-right">
                                <fa-icon icon="times"></fa-icon>
                            </button>
                        </div>
                        <input type="file" id="file_license" (change)="setFileData($event, 'license', true)" accept="image/*"/>
                    </div>
                    <input type="hidden" class="form-control" name="license" id="field_license"
                           formControlName="license"/>
                    <input type="hidden" class="form-control" name="licenseContentType" id="field_licenseContentType"
                           formControlName="licenseContentType" />
                    <div *ngIf="editForm.get('license')!.invalid && (editForm.get('license')!.dirty || editForm.get('license')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('license')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_licenseValid">License Valid</label>
                    <input type="checkbox" class="form-control" name="licenseValid" id="field_licenseValid"
                           formControlName="licenseValid"/>
                </div>

                <div class="form-group">
                    <label for="field_cars">Car</label>
                    <select class="form-control" id="field_cars" multiple name="cars" formControlName="cars">
                        <option [ngValue]="getSelected(editForm.get('cars')!.value, carOption)" *ngFor="let carOption of cars; trackBy: trackById">{{ carOption.name }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
